<?php $this->view('ajax_loading_v'); ?>
<script type="text/javascript">
    $(function() {
        $("#rdate").mask("99/99/9999");
        $("#start_time").mask("99:99");
        $("#end_time").mask("99:99");
    });


    function show_busy() {
        var p = {};
        var ret = '';
        p['rdate'] = $('#rdate').val();
        p['start_time'] = $('#start_time').val();
        p['end_time'] = $('#end_time').val();

        var ret = '';
        if ($('#rdate').val() == '') {
            ret += 'คุณต้องเลือก วันที่จอง ก่อน !! \n';
        }
        if ($('#start_time').val() == $('#end_time').val()) {
            ret += 'ช่วงเวลาต้องแตกต่างกัน !! \n';
        }
        if ($('#end_time').val() <= $('#start_time').val()) {
            ret += 'ช่อง เวลาถึง ต้องมีค่ามากกว่า ช่อง จากเวลา !! \n';
        }

        if (ret != '') {
            alert(ret);
        } else {
            $('#div_grid').load("<?php echo site_url('roomquery/ajax_roombusy') ?>", p);
        }
        return false;
    }
</script>
<div class="textbox">
    <div class="toolbar">
        <div class="pull-left title"><?php echo $page_title; ?></div>
        <div class="pull-right">
            <?php echo anchor('main', "<i class='icon-remove-circle'></i> ปิด", array('class' => 'btn')); ?>
        </div>
        <div class="clear"></div>
    </div>
    <div class="textbox_content">
        <div class="table-search">
            <?php echo form_open('', array('class' => 'form-inline', 'style' => 'margin-bottom:4px')); ?>
            <table border="0">
                <tr>
                    <td class="td1">วันที่จอง :</td>
                    <td>
                        <div class="input-append">
                            <input type='text' id='rdate' name='rdate' style="width:80px" value="<?php echo $rdate; ?>" class="required"/>
                            <span class="btn" type="button" id="cal_rdate" tabindex="-1"><i class="icon-calendar"></i></span>
                            <script type="text/javascript">
                                Calendar.setup({
                                    inputField: "rdate",
                                    button: "cal_rdate",
                                    ifFormat: "%d/%m/%Y"
                                });
                            </script>
                        </div>
                        &nbsp;<b>จากเวลา :</b>
                        <input type="text" id="start_time" name="start_time" style="width:80px"/>
                        &nbsp;<b>ถึงเวลา :</b>
                        <input type="text" id="end_time" name="end_time" style="width:80px"/>
                        &nbsp;&nbsp;&nbsp;<a href="#" onclick="return show_busy();" class="btn"><i class="icon-search"></i> แสดงห้องว่าง</a>
                    </td>
                </tr>
            </table>
            <?php echo form_close(); ?>
        </div>
        <div id="div_grid"></div>
    </div>
</div>

